#include <vector>

class Unit;

class UnitsQueue{
private:
    std::vector<Unit*> queue_;
    typedef std::vector<Unit*>::iterator viterator;
public:
    void add(Unit*);
    void remove(viterator);
    void remove(Unit*);
    viterator beginIterator();
    viterator endIterator();
};
